package com.blamejared.compat.botania.lexicon;

import vazkii.botania.api.BotaniaAPI;
import crafttweaker.CraftTweakerAPI;
import com.blamejared.compat.botania.BotaniaHelper;
import vazkii.botania.api.lexicon.LexiconCategory;
import crafttweaker.IAction;

public class RemoveCategory implements IAction
{
    private final String name;
    private LexiconCategory category;
    
    public RemoveCategory(final String name) {
        this.name = name;
    }
    
    public void apply() {
        this.category = BotaniaHelper.findCatagory(this.name);
        if (this.category == null) {
            CraftTweakerAPI.getLogger().logError("Cannot find lexicon category " + this.name);
            return;
        }
        BotaniaAPI.getAllCategories().remove(this.category);
        CraftTweakerAPI.getLogger().logInfo("Removing Lexicon Category: " + this.category.getUnlocalizedName());
    }
    
    public String describe() {
        return "Attempting to remove Lexicon Category " + this.name;
    }
}
